# tsortInfo_s Struct Reference
[RPMDEP.]

Dependncy ordering information. More...

`#include <depends.h>`

## Data Fields

union {
int count
availablePackage * suc
} | tsi_u
tsortInfo | tsi_next
availablePackage * | tsi_pkg
int | tsi_reqx
int | tsi_qcnt

## Detailed Description

Dependncy ordering information.

Definition at line 17 of file depends.h.

## Field Documentation

int tsortInfo_s::count

Definition at line 19 of file depends.h.

struct availablePackage* tsortInfo_s::suc

Definition at line 20 of file depends.h.

tsortInfo tsortInfo_s::tsi_next

Definition at line 25 of file depends.h.

Referenced by addRelation(), alFree(), markLoop(), rpmdepOrder(), and zapRelation().

struct availablePackage* tsortInfo_s::tsi_pkg

Definition at line 27 of file depends.h.

Referenced by markLoop().

int tsortInfo_s::tsi_qcnt

Definition at line 29 of file depends.h.

Referenced by addQ(), addRelation(), and rpmdepOrder().

int tsortInfo_s::tsi_reqx

Definition at line 28 of file depends.h.

Referenced by addQ(), rpmdepOrder(), and zapRelation().

union { ... } tsortInfo_s::tsi_u

The documentation for this struct was generated from the following file:

- lib/depends.h